# Class MetalToolBarUI.MetalDockingListener

java.lang.Object
javax.swing.plaf.basic.BasicToolBarUI.DockingListener
javax.swing.plaf.metal.MetalToolBarUI.MetalDockingListener

All Implemented Interfaces:
  `MouseListener, MouseMotionListener, EventListener, MouseInputListener`

Enclosing class:
  `MetalToolBarUI`

protected class MetalToolBarUI.MetalDockingListener extends BasicToolBarUI.DockingListener
`DockingListener` for `MetalToolBarUI`.

- ## Field Summary

  ### Fields declared in class BasicToolBarUI.DockingListener

  `isDragging, origin, toolBar`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetalDockingListener(JToolBar t)`
  Constructs the `MetalDockingListener`.

- ## Method Summary

  ### Methods declared in class BasicToolBarUI.DockingListener

  `mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MetalDockingListener

    public MetalDockingListener(JToolBar t)
    Constructs the `MetalDockingListener`.
    Parameters:
      `t` - an instance of `JToolBar`